using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    [Description("会议内容")]
    public class T_SC_MT_CONTENT_NAME : MesEntityBase
    {
        /// <summary>
        /// 内容编号
        /// </summary>
        [Description("内容编号")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(50)]
        [FormFieldEdit]
        public string CODE { get; set; }

        /// <summary>
        /// 会议内容
        /// </summary>
        [Description("会议内容")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(200)]
        [FormFieldEdit]
        public string NAME { get; set; }

        /// <summary>
        /// 会议类型
        /// </summary>
        [Description("会议类型")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public SCMEETINGTYPE MEETINGTYPE { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldEdit]
        public FMEnableStatusEnum ENABLE_STATUS { get; set; }

        /// <summary>
        /// 会议意见
        /// </summary>
        [Description("会议意见")]
        public ICollection<T_SC_MT_CONTENT> Nav_ListContent { get; set; }
    }
}
